## ros-kinetic-interactive-markers 1.11.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(interactive_markers)
find_package(catkin REQUIRED 
  rosconsole
  roscpp
  rospy
  rostest
  std_msgs
  tf
  visualization_msgs
)
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES interactive_markers
  CATKIN_DEPENDS roscpp rosconsole rospy tf std_msgs visualization_msgs
)
catkin_python_setup()

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} 
src/interactive_marker_server.cpp
src/tools.cpp
src/menu_handler.cpp
src/interactive_marker_client.cpp
src/single_client.cpp
src/message_context.cpp
)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
  PRIVATE "INTERACTIVE_MARKERS_BUILDING_LIBRARY")

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/interactive_markers/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING
  PATTERN "*.h"
  PATTERN "*.hpp")

# C++ Unit Tests
#
if(CATKIN_ENABLE_TESTING)
  include_directories(${GTEST_INCLUDE_DIRS})

  add_executable(server_test EXCLUDE_FROM_ALL src/test/server_test.cpp)
  target_link_libraries(server_test ${PROJECT_NAME} ${GTEST_LIBRARIES})
  add_dependencies(tests server_test)
  add_rostest(test/cpp_server.test)

  add_executable(client_test EXCLUDE_FROM_ALL src/test/client_test.cpp)
  target_link_libraries(client_test ${PROJECT_NAME} ${GTEST_LIBRARIES})
  add_dependencies(tests client_test)
  add_rostest(test/cpp_client.test)

  add_executable(server_client_test EXCLUDE_FROM_ALL src/test/server_client_test.cpp)
  target_link_libraries(server_client_test ${PROJECT_NAME} ${GTEST_LIBRARIES})
  add_dependencies(tests server_client_test)
  add_rostest(test/cpp_server_client.test)

  # Test program to simulate Interactive Marker with missing tf information
  add_executable(bursty_tf EXCLUDE_FROM_ALL src/test/bursty_tf.cpp)
  target_link_libraries(bursty_tf ${PROJECT_NAME})
  add_dependencies(tests bursty_tf)

  # Test program to simulate Interactive Marker with wrong tf information
  add_executable(missing_tf EXCLUDE_FROM_ALL src/test/missing_tf.cpp)
  target_link_libraries(missing_tf ${PROJECT_NAME})
  add_dependencies(tests missing_tf)
endif()

=== debian/changelog ===
ros-kinetic-interactive-markers (1.11.5-1xenial) xenial; urgency=high

  * [feature]     InteractiveMarkerServer::erase(): return false for unknown marker (#43 <https://github.com/ros-visualization/interactive_markers/issues/43>)
  * [fix]         Avoid overriding warning status messages (Fixes #34 <https://github.com/ros-visualization/interactive_markers/issues/34>)
  * [fix]         Fixed the problem that *.hpp was not installed (#66 <https://github.com/ros-visualization/interactive_markers/issues/66>)
  * [fix]         Make the Timer daemon survive /clock jumping back in a playback loop (#47 <https://github.com/ros-visualization/interactive_markers/issues/47>)
  * [maintanence] Modernize package.xml and add missing std_msgs in CATKIN_DEPENDS
  * [maintanence] Use setuptools instead of distutils (#67 <https://github.com/ros-visualization/interactive_markers/issues/67>)
  * [maintanence] Bump cmake version to 3.0.2 (#64 <https://github.com/ros-visualization/interactive_markers/issues/64>)
  * [maintanence] Windows compatibility
    * Use C++11 portable sleep (#63 <https://github.com/ros-visualization/interactive_markers/issues/63>)
    * Symbol visibility for shared libraries (#62 <https://github.com/ros-visualization/interactive_markers/issues/62>)
    * Fix install location on Windows (#39 <https://github.com/ros-visualization/interactive_markers/issues/39>)
  * Contributors: Alejandro Hernández Cordero, David Gossow, Fabian Maas, Jacob Perron, Robert Haschke, Sean Yen, Shane Loretz, shela

 -- William Woodall <william@osrfoundation.org>  Sat, 04 Apr 2020 22:00:00 -0000

ros-kinetic-interactive-markers (1.11.4-1xenial) xenial; urgency=high

  * Fixed a crash when updates arrive, or are being processed, while shutdown is called (#36 <https://github.com/ros-visualization/interactive_markers/issues/36>)
  * Contributors: Simon Schmeisser

 -- William Woodall <william@osrfoundation.org>  Sun, 15 Apr 2018 22:00:00 -0000

ros-kinetic-interactive-markers (1.11.3-1xenial) xenial; urgency=high

  * The ``processFeedback`` function of the menu handler no longer catches the ``KeyErrors`` of the feedback_cb.
    See: #29 <https://github.com/ros-visualization/interactive_markers/issues/29>
  * Added the ``empty()`` and ``size()`` members to ``InteractiveMarkerServer`` interface.
    See: #30 <https://github.com/ros-visualization/interactive_markers/issues/30>
  * Contributors: Blake Anderson, Guglielmo Gemignani

 -- William Woodall <william@osrfoundation.org>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-interactive-markers (1.11.2-1xenial) xenial; urgency=high

  * Fix build when disabling tests with ``-DCATKIN_ENABLE_TESTING=OFF``.
    See: #26 <https://github.com/ros-visualization/interactive_markers/issues/26>
  * Fix use of uninitialized variables.
    See: #24 <https://github.com/ros-visualization/interactive_markers/issues/24>
  * Fix potential segfault when shutting down.
    See: #25 <https://github.com/ros-visualization/interactive_markers/issues/25>
  * Contributors: Alexis Ballier, David Gossow, Max Schwarz

 -- William Woodall <william@osrfoundation.org>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-interactive-markers (1.11.1-1xenial) xenial; urgency=high

  * Added explicit keyword argument queue_size for publisher in Python code and use the same default queue_size value as C++.
  * Fixed a SEGFAULT in setPose reported in #18 <https://github.com/ros-visualization/interactive_markers/issues/18>
    Previously, calling setPose() on an interactive marker causes a SEGFAULT
    if applyChanges() was not called on the server at least once since the
    marker was created. I traced the actual SEGFAULT to the doSetPose
    function. The value of header passed from setPose() is invalid because,
    in this case, marker_context_it = marker_contexts_.end().
    I added a check for this case and, if there is no marker is present,
    instead use the header from the pending update.
  * Contributors: David Gossow, Mike Koval, William Woodall, ipa-fxm

 -- William Woodall <william@osrfoundation.org>  Mon, 15 Dec 2014 23:00:00 -0000

ros-kinetic-interactive-markers (1.11.0-1xenial) xenial; urgency=high

  * Adding William Woodall as maintainer
  * fix threading bugs
    Fix locking of data structures shared across threads.
  * Contributors: Acorn Pooley, William Woodall, hersh

 -- William Woodall <william@osrfoundation.org>  Sun, 23 Feb 2014 23:00:00 -0000

ros-kinetic-interactive-markers (1.10.2-1xenial) xenial; urgency=high

  * fix regression in menu_handler.py
    fixes #14 <https://github.com/ros-visualization/interactive_markers/issues/14>
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Sun, 02 Feb 2014 23:00:00 -0000

ros-kinetic-interactive-markers (1.10.1-1xenial) xenial; urgency=high

  * cleanup python code and package contents
  * remove useless dependencies
  * Contributors: Vincent Rabaud, William Woodall

 -- William Woodall <william@osrfoundation.org>  Sun, 26 Jan 2014 23:00:00 -0000

ros-kinetic-interactive-markers (1.10.0-1xenial) xenial; urgency=high

  * remove debug statement that could produce segfault; init_it->msg->markers may be empty
  * Contributors: Filip Jares

 -- William Woodall <william@osrfoundation.org>  Wed, 22 Jan 2014 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-interactive-markers
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Homepage: http://ros.org/wiki/interactive_markers
Standards-Version: 3.9.2

Package: ros-kinetic-interactive-markers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Description: 3D interactive marker communication library for RViz and similar tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-interactive-markers//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
